/* ===== common ===== */
.nm-btn {
	display: flex;
	align-items: center;
	justify-content: center;
}
.color-black {
	color: #000;
}
.color-blue {
	color: #0655f0;
}
.fs-18 {
	font-size: 18px;
}
.fs-20 {
	font-size: 20px;
}
.fs-24 {
	font-size: 24px;
}
.fs-26 {
	font-size: 26px;
}
.fs-30 {
	font-size: 30px;
}
.fs-32 {
	font-size: 32px;
}
.fs-36 {
	font-size: 36px;
}
.bg-img-block {
	width: 100%;
	height: auto;
	display: block;
}
.bg-center, .bg-bottom, .bg-left {
	background-size: cover;
	background-repeat: no-repeat;
}
.bg {
	background-size: 100%;
	background-repeat: no-repeat;
}
.bg-center {
	background-position: center;
}
.bg-bottom {
	background-position: bottom;
}
.bg-left {
	background-position: left;
}
.bg-rb {
	background-position: 100% 100%;
}

/* ===== header ===== */
header.sticky nav.navbar-fixed-top.header-light {
	background-color: #0655f0;
}
header.sticky nav.navbar-fixed-top.header-light .nav.navbar-nav li a {
	color: white;
}
header.sticky nav.navbar-fixed-top.header-light .nav.navbar-nav li a:hover,
header.sticky nav.navbar-fixed-top.header-light .nav.navbar-nav li.active a {
	color: #ccc !important;
}
header.bg-blue:not(.sticky) nav.navbar-fixed-top.header-light .nav.navbar-nav li a {
  color: #010b24;
}
header.bg-blue nav.navbar-fixed-top.header-light .nav.navbar-nav li a:hover,
header.bg-blue nav.navbar-fixed-top.header-light .nav.navbar-nav li.active a {
  color: #ccc !important;
}

.navbar-default .navbar-toggler .icon-bar, header.sticky .navbar-default.header-light .navbar-toggler .icon-bar {
	background-color: white;
}


/* ===== home ===== */
.home-partners {
	padding: 50px 0 0;
	position: relative;
	overflow: visible;
}
.home-partners-title {
	position: relative;
}
.hp-title-content {
	display: flex;
	align-items: center;
	justify-content: center;
	flex-direction: column;
  padding: 30px 0 40px;
}
.hp-title-content .hp-title-big {
  position: relative;
}
.hp-title-content .hp-title-big .hp-icon {
  width: 60px;
  height: 60px;
  position: absolute;
  right: -120px;
  top: -50px;
}
.home-partners-container {
	width: 1200px;
	height: 354px;
	display: flex;
	flex-direction: row;
	flex-wrap: wrap;
	align-items: flex-start;
	justify-content: space-between;
	margin: 0 auto;
	overflow: hidden;
	transition: all 0.35s;
}
.home-partners-container img {
  width: 240px;
  height: auto;
}
.home-partners-container.open {
	height: 826px;
}
@media screen and (max-width: 1330px) {
	.home-partners-container {
		width: 100%;
	}
	.home-partners-container.open {
		height: auto;
	}
}
.hp-more-button-box {
	width: 100%;
	position: absolute;
	left: 0;
	bottom: -86px;
	z-index: 3;
}
.hp-more-button {
	width: 120px;
	height: 36px;
	border-radius: 18px;
	border: 1px solid #0655f0;
	cursor: pointer;
	margin: 0 auto;
}

.home-about {
	padding: 0;
	position: relative;
}
.home-about-bg {
	position: absolute;
	top: 0;
	left: 0;
}
.home-about-container, .home-about-title {
	position: relative;
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
}
.home-about-container {
	padding: 200px 0 50px;
}
.home-about-title {
	width: 100%;
	background-size: auto 100%;
	background-position: center;
	background-repeat: no-repeat;
}
.home-videos {
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
}
.home-videos .hv-title-sm {
  position: relative;
}
.home-videos .hv-title-sm .hv-title-icon {
  width: 100px;
  height: auto;
  display: block;
  position: absolute;
  left: -130px;
  top: -80px;
}
.home-videos .swiper-button-next,
.home-videos .swiper-button-prev {
  opacity: 0;
}
.home-videos .video-row {
	position: relative;
}
.video-pager-prev, .video-pager-next {
  width: 50px;
  height: 50px;
  cursor: pointer;
  background-size: cover;
  position: absolute;
  top: 224px;
}
.video-pager-prev {
  left: -70px;
  transform: rotate(180deg);
}
.video-pager-next {
  right: -70px;
}
.home-videos .video-item {
  width: 360px;
  height: 224.4px;
  background-size: cover;
  display: block;
	position: relative;
	cursor: pointer;
}
.home-videos .video-item .play-mask {
	width: 100%;
	height: 100%;
	position: absolute;
	left: 0;
	top: 0;
	z-index: 2;
	background: rgba(0, 0, 0, 0.4);
	opacity: 0;
	transition: all 0.35s;
}
.home-videos .video-item:hover .play-mask {
	 opacity: 1;
}
.home-videos .video-item .play-btn {
	width: 50px;
	height: 50px;
	background-size: cover;
	position: absolute;
	top: calc(50% - 25px);
	left: calc(50% - 25px);
	z-index: 3;
}

section.cover-background {
  padding: 180px 0;
}


/* ===== footer ===== */
.bg-extra-dark-gray {
	position: relative;
  padding: 0;
	background-color: #040b25;
}
.bg-extra-dark-gray .bg-foot {
  width: 100%;
	height: auto;
	display: block;
	position: absolute;
}
.footer-logo-1 {
	width: 10%;
	height: auto;
	display: block;
	position: absolute;
	left: 5%;
	top: 0;
}
.footer-inner {
	display: flex;
	align-items: center;
	flex-direction: row;
	justify-content: center;
	position: relative;
}
.footer-inner .footer-inner-right {
	position: absolute;
	right: 50px;
	top: 100px;
}
.footer-inner-left, .footer-inner-right {
	font-size: 22px;
}
.footer-inner-left {
	width: 46%;
}
.footer-inner-left h6 {
	color: #285aef;
	font-size: 32px;
	white-space: nowrap;
}
.footer-inner-left .footer-list-1 > div {
	line-height: 1.4;
}
.footer-inner-left .text-en {
	line-height: 1.5;
}
.footer-copyright {
	padding: 50px 0;
	font-size: 20px;
}

/* product page */
figure figcaption .bg-warning {
	background-color: #0655f0 !important;
}
.portfolio-grid .grid-item figure:hover img {
  opacity: 1;
}
.portfolio-grid .grid-item figure:hover figcaption {
  background-image: url(../images/liangstudio/product/prod_mask.png);
  background-size: cover;
}
.portfolio-grid .grid-item figure:hover .text-black,
.portfolio-grid .grid-item figure:hover .text-dark-gray {
  color: white;
}
.portfolio-grid .grid-item figure:hover .bg-warning {
  background-color: #eee !important;
}

#portfolio1 {
	background-size: 100%;
	background-position: bottom;
	background-repeat: no-repeat;
}
#product-container {
	height: auto !important;
}
header:not(.sticky) .always-show > li > a#index,
header:not(.sticky) .always-show > li > a#service,
header:not(.sticky) .always-show > li > a#about {
	color: #232323 !important;
}

@media screen and (max-width: 1500px) and (min-width: 1300px) {
	.footer-inner {
		padding-bottom: 0;
	}
}
@media screen and (max-width: 1300px) {
	.footer-inner-left, .footer-inner-right {
		font-size: 18px;
	}
	.footer-inner-left h6 {
		font-size: 20px;
	}
	.footer-copyright {
		padding: 30px 0;
		font-size: 18px;
	}
}
@media screen and (max-width: 1200px) {
	.footer-inner-left {
		padding-right: 40px;
	}
	.footer-inner-right {
		padding-left: 40px;
		padding-right: 40px;
	}
	.home-videos {
		padding: 30px 20px;
	}
  .video-pager-prev, .video-pager-next {
    display: none;
  }
}
@media screen and (max-width: 990px) {
  section.cover-background {
    padding: 0;
  }
  section.about-top-banner {
    background-position: calc(50% - 10px) center !important;
  }
  section.product-top-banner.cover-background,
  section.service-top-banner.cover-background {
    background-size: 320% !important;
  }

  .hp-title-content {
    padding: 0;
  }
  .hp-title-content .hp-title-big .hp-icon {
    width: 30px;
    height: 30px;
    right: -70px;
    top: -20px;
  }
  .home-about-title {
    background-size: 80%;
  }
  .home-videos {
    overflow: visible;
  }
  .home-videos .hv-title-sm .hv-title-icon {
    width: 80px;
    left: -10px;
    top: -60px;
  }

	.footer-inner {
		flex-direction: column;
		justify-content: flex-start;
		align-items: flex-start;
		padding-top: 100px;
	}
	.footer-inner-left {
		width: 100%;
	}
	.footer-inner .footer-inner-right {
		position: static;
	}
	.footer-inner-left, .footer-inner-right {
		font-size: 14px;
		padding-right: 0;
		padding-left: 0;
	}
	.footer-inner-left h6 {
		font-size: 16px;
	}
	.footer-copyright {
		padding-top: 0;
		font-size: 12px;
	}
	.footer-logo-1 {
    width: 18%;
		left: 50px;
	}

	.fs-18 {
		font-size: 14px;
	}
	.fs-20 {
		font-size: 16px;
	}
	.fs-24, .fs-26, .fs-30, .fs-32, .fs-36 {
		font-size: 20px;
	}

	.home-about-container {
		padding: 50px 0;
	}

	.home-partners-container, .hp-more-button-box {
		display: none;
	}
	.hp-title-content .fs-36 {
		font-size: 20px;
	}

	.home-partners-swiper .partner-box {
		display: flex;
		flex-direction: row;
		flex-wrap: wrap;
	}
	.home-partners-swiper .swiper-slide img {
		width: 50%;
	}

  .home-videos {
    padding: 0 0 30px;
  }
	.home-videos .swiper-container .swiper-slide .video-item{
    width: 100%;
    height: 224px;
	}
  .home-videos .swiper-container .swiper-button-prev.swiper-button-black-highlight,
  .home-videos .swiper-container .swiper-button-next.swiper-button-black-highlight {
    display: none;
  }
}
